v1.0.0
OpenAPI 3.1.0
Get a workspace audit log entry
Client Libraries
US region
Returns one audit log entry from the workspace your key belongs to. For an update, the entry includes the fields that changed.
The id of the audit log entry.
The key can't read audit logs.
There's no audit log entry with this ID in the key's workspace.
curl https://api.customer.io/v1/audit_logs/1 \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": {
"account_id": 1,
"action": "string",
"changed_from": null,
"changed_to": null,
"data": null,
"id": 1,
"ip_addr": "string",
"meta": null,
"object_id": "string",
"object_type": "string",
"related_logs": [
{
"account_id": 1,
"action": "string",
"changed_from": null,
"changed_to": null,
"data": null,
"id": 1,
"ip_addr": "string",
"meta": null,
"object_id": "string",
"object_type": "string",
"related_logs": [
{
"account_id": 1,
"action": "string",
"changed_from": null,
"changed_to": null,
"data": null,
"id": 1,
"ip_addr": "string",
"meta": null,
"object_id": "string",
"object_type": "string",
"related_logs": [],
"service_account_id": 1,
"timestamp": 1,
"user_id": 1,
"version": 1
}
],
"service_account_id": 1,
"timestamp": 1,
"user_id": 1,
"version": 1
}
],
"service_account_id": 1,
"timestamp": 1,
"user_id": 1,
"version": 1
},
"service_account": {
"account_type": "string",
"deleted": true,
"name": "string",
"service_account_id": 1
},
"user": {
"deleted": true,
"email": "string",
"user_id": 1
}
}The audit log entry.